import com.jinsight.jetchart.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.util.Vector;

/**
 * This application demonstrates how to get series values from an external file.
 *
 */
public class Main extends JFrame  {

    Graph graph;

    public Main() {

	setTitle("The JetChart Library - File input demo");

	graph=new Graph();
	graph.setTitle(new String[]{"The JetChart Library - File input demo"});
	
	graph.setGradientColors(Color.white,Color.blue);

	graph.getGraphSet(0).getGrid().setEnabled(true);
	
	graph.setHorizontalGraphEnabled(true);

	// Enables 3D display
	graph.set3DEnabled(true);

	// Formats the values to be displayed along the y axis and in the tooltips.
	graph.getGraphSet(0).getScale().setValueFormat("#,##0.00");
	graph.setValueFormat("#,##0.00");

	// Enables tooltips.
	graph.getToolTip().setEnabled(true);

	graph.setLabels(new String[]{"label1","label2","label3","label4","label5","label6",
				     "label7","label8","label9","label10"});

	// Gets the values from a external file. 
	double[] values=getValues();

	// Creates a bar series.
	BarSerie bs=new BarSerie(values,"Bar series");
    
	bs.setColor(Color.green);
	
	graph.addSerie(bs);

        Container ct=getContentPane();

	ct.add("Center",graph);

	addWindowListener(new WindowAdapter() {
	   public void windowClosing(WindowEvent evt) {
		System.exit(0);
	   }
        });

	setSize(600,450);

	setVisible(true);

    }

    // Gets the bar series values from an external file. This method can be adapted to fetch
    // values from a database.
    double[] getValues() {
	
	Vector v=new Vector();
	double[] values=null;

	try {
	    String line=null;
	    BufferedReader br=new BufferedReader(new FileReader("values.txt"));
	    while ((line=br.readLine())!=null) 
		v.addElement(line);
	    br.close();
	}
	catch (IOException e) {
	    e.printStackTrace();
	}

	// Creates the double array with the same size of the Vector object.
	values=new double[v.size()];
	// Fills the double array with the Vector data.
	for (int counter=0;counter<v.size();counter++) {
	    String strValue=(String)v.elementAt(counter);
	    values[counter]=Double.valueOf(strValue).doubleValue();
	}

	return values;
	
    }
    
  
    public static void main(String[] args) {
	new Main();
    }

}
       
    
