import com.jinsight.jetchart.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * This example demonstrates how to control the visibility status of a line series
 * data points.
 *
 * @author: Andre de Lima Soares - alsoares@jinsight.com
 */
public class Main extends JFrame implements ItemListener {

    JCheckBox cb;

    LineSerie ls;

    Graph graph;

    public Main() {

        setTitle("The JetChart Library - hidden points demo");

	cb=new JCheckBox("Connect all lines");
	cb.addItemListener(this);
	
	JPanel topPanel=new JPanel(new FlowLayout(FlowLayout.LEFT));

	topPanel.add(cb);

        Container ct=getContentPane();

	ct.add("North",topPanel);

	// Creates the chart context and set some of its properties.
	graph=new Graph();
	graph.setTitle(new String[]{"The JetChart Library - A line series",
				    "with data points partially hidden"});

	// Configures the primary GraphSet object. See documentation for additional information
	// about the GraphSet class.
	graph.getGraphSet(0).getGrid().setEnabled(true);
        graph.getGraphSet(0).getGrid().setColoredBandsEnabled(true);
	graph.getGraphSet(0).getScale().setPosition(Scale.LEFT_RIGHT);
	graph.setStartDate("06012001");

	// Creates a line series.
	ls=new LineSerie(new double[]{100,150,200,430,310,170,140,280,250,400,340,180,300},
				   "Line series");
	ls.setColor(Color.red);
	ls.setThickness(2);
	ls.setMarksEnabled(false);
	
	// This method sets the status of each data point. A value of '1' keeps the data point
	// visible, while '0' hides it. Status indexes follow the same sequence of the
	// line series data points.
	ls.setCoordinatesStatus(new int[]{1,1,1,0,1,1,0,1,1,1,0});

	graph.addSerie(ls);

	ct.add("Center",graph);

	addWindowListener(new WindowAdapter() {
	   public void windowClosing(WindowEvent evt) {
		System.exit(0);
	   }
        });

	setSize(500,350);

	setVisible(true);

    }

    public void itemStateChanged(ItemEvent evt) {
	
	// The following method is implemented in the LineSerie class, and overloads
	// the method GraphSerie.setCoordinatesStatus, defining  a boolean parameter
	// to control connection of discontinuous lines.
	ls.setCoordinatesStatus(new int[]{1,1,1,0,1,1,0,1,1,1,0},cb.isSelected());
	graph.refresh();
    }
    
 

    public static void main(String[] args) {
	new Main();
    }
}
